/* google font cdn */
@import url('https://fonts.googleapis.com/css2?family=Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* Base css start */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  /* fonts */
  --font-kanit: "Kanit", sans-serif;

  /* colors */
  --yellow: #F5C765;
  --black: #000;
  --white: #fff;
}

body {
  font-family: var(--font-kanit);
  color: var(--black);
  font-weight: 300;
}

h1, h2, h3, h4, h5, h6 {
  font-weight: 400;
}

ol,
ul {
  margin: 0;
  padding: 0;
}
li {
  list-style-type: none;
}

a,
button {
  transition: all 0.3s;
}
a {
  text-decoration: none;
}

.container,
.container-lg,
.container-md,
.container-sm,
.container-xl,
.container-xxl,
.container-fluid {
  padding-inline: 20px;
}

.theme-btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-size: 24px;
  line-height: normal;
  color: var(--black);
  background-color: var(--yellow);
  height: 63px;
  min-width: 237px;
  border-radius: 10px;
  font-weight: 400;
  padding-inline: 24px;
  border: 1px solid var(--yellow);
}
.theme-btn:hover {
  background-color: transparent;
  color: var(--yellow);
}
.theme-btn--outline {
  font-size: 20px;
  background-color: transparent;
  border-color: var(--black);
}
.theme-btn--outline:hover {
  background-color: var(--black);
  color: var(--yellow);
}

h1 {
  font-size: 90px;
  line-height: 1;
  margin-bottom: 19px;
}
h2 {
  font-size: 50px;
  line-height: 1.2;
  margin-bottom: 20px;
}
h3 {
  font-size: 40px;
  line-height: 1.25;
}
.section__subtitle {
  font-size: 30px;
  line-height: 1.4;
  margin-bottom: 3px;
}
.section__subtitle--lg {
  font-size: 40px;
}
.section__header {
  max-width: 960px;
  margin-bottom: 76px;
}

.text {
  font-size: 16px;
  line-height: normal;
}
.text-md {
  font-size: 18px;
  line-height: normal;
}
.text-lg {
  font-size: 20px;
  line-height: normal;
}

.thumb img {
  transition: all 1s ease-in-out;
}
.thumb:hover img {
  transform: scale(1.1);
}

.theme-list {
  gap: 5px;
}
.theme-list li {
  gap: 30px;
  font-size: 20px;
  line-height: normal;
}
.theme-list__icon {
  width: 35px;
}
.theme-list li span {
  padding-top: 3px;
}

.link-text {
  color: var(--yellow);
}
.link-text--white {
	color: var(--white);
}
.link-text--black {
  color: var(--black);
  text-underline-offset: 6px;
}
.link-text:hover {
  color: #E69D00;
}

/* Base css end */

/* slider-nav start */
.slider-nav {
  gap: 15px;
}
.slider-counter {
  font-size: 80px;
  line-height: normal;
  color: #DBDBDB;
}
.slider-line {
  height: 1px;
  width: 353px;
  background-color: #DBDBDB;
}
.slider-pagination {
  width: auto !important;
}
.swiper-pagination-bullet {
	margin: 0 !important;
	position: relative;
	background-color: transparent !important;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 11px;
	height: 11px;
	transition: all .3s;
	opacity: 1;
}
.swiper-pagination-bullet::after {
  content: '';
  width: 11px;
  height: 11px;
  background-color: #fff;
  border: 2px solid #A8A8A8;
  position: absolute;
  border-radius: 50%;
}
.swiper-pagination-bullet-active {
  width: 25px;
  height: 25px;
  border: 2px solid #A8A8A8;
}
/* slider-nav end */

/* card style start */
.card {
  padding: 26px 20px 36px;
  border-radius: 10px;
  box-shadow: 0px 4px 4px 0px #00000040;
}
.card__icon {
  height: 65px;
  margin-bottom: 16px;
}
.card__icon img {
  max-height: 100%;
}
.card__title {
  line-height: 1.5;
  margin-bottom: 12px;
}
.card__desc {
  margin-bottom: 29px;
}
.card__header {
  gap: 26px;
  margin-bottom: 15px;
}
/* card style end */

/* header start */
.header {
  padding-top: 13px;
}
.header__logo {
  transform: translateY(12px);
  margin-top: -12px;
}
.header__logo img {
  width: 193px;
}
.header__menu {
  background-color: rgba(0, 0, 0, 0.62);
  padding: 20px;
  border-radius: 10px;
  gap: 50px;
}
.header__link {
  font-size: 18px;
  line-height: normal;
  color: var(--white);
}
.header__link:hover {
  color: var(--yellow);
}
.header__toggle {
    background-color: var(--yellow);
    padding: 12px 10px;
    border-radius: 6px;
  }
  .header__toggle img {
    filter: brightness(0);
    width: 24px;
  }
/* header end */

/* hero section start */
.hero {
  background-image: url('../img/backgrounds/hero-bg.jpg');
  background-size: cover;
  background-position: center;
}
.hero__wrapper {
  padding-top: 250px;
}
.hero__slider-container {
  transform: translateY(189px);
  margin-top: -189px;
}
.hero__slide {
  padding-right: 251px;
  padding-bottom: 65px;
}
.hero__slide-inner {
  background-color: rgba(0, 0, 0, 0.46);
  border-radius: 30px;
  padding: 48px 399px 187px 35px;
}
.hero__subtitle {
  font-size: 50px;
  line-height: 0.8;
}
.hero__desc {
  margin-bottom: 32px;
}
.hero__thumb {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 620px;
  border-radius: 30px;
}
.hero__slider-nav {
	bottom: 80px;
	left: 42px;
}
/* hero section end */

/* about section start */

.about {
  padding-top: 300px;
  padding-bottom: 103px;
}
.about .row {
	--bs-gutter-x: 12px;
	--bs-gutter-y: 40px;
}
.about__media {
  grid-template-columns: 1fr 1fr;
  gap: 23px 20px;
}
.about__thumb {
  border-radius: 10px;
  box-shadow: 0px 4px 4px 0px #00000040;
}
.about__thumb:nth-child(2) {
  grid-row: span 2 / span 2;
}
.about__content {
  padding-left: 56px;
}
.about .section__header {
  max-width: 528px;
  margin-bottom: 38px;
}
/* about section end */

/* service section start */
.service {
  padding-bottom: 60px;
}
.service .row {
  --bs-gutter-x: 20px;
  --bs-gutter-y: 20px;
}
/* service section end */

/* transport section start */
.transport {
  background-color: #FFFCF7;
  padding-block: 84px;
}
.transport .row {
  --bs-gutter-x: 61px;
  --bs-gutter-y: 40px;
}
.transport__media {
  grid-template-columns: repeat(2, 1fr);
  gap: 30px;
}
.transport__thumb {
  border-radius: 10px;
}
.transport__destination {
  padding: 24px 24px 57px;
  gap: 24px;
  font-size: 30px;
  line-height: normal;
  font-weight: 400;
}
/* transport section end */

/* testimonial section start */

.testimonial__left {
  max-width: 534px;
  padding: 60px 16px 60px 13px;
}
.testimonial .section__header {
  margin-bottom: 36px;
}
.testimonial__items {
  max-height: 450px;
  gap: 50px;
  padding-right: 16px;
}
.testimonial__item {
  gap: 25px;
}
.testimonial__avatar {
  width: 104px;
  aspect-ratio: 1/1;
}
.testimonial__avatar img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.testimonial__meta-item {
  gap: 13px;
}
.testimonial__meta {
  margin-bottom: 5px;
}
.testimonial__stats {
  background-color: var(--yellow);
  padding: 20px 13px;
  width: 212px;
}
.testimonial__stat {
  padding-block: 40px 55px;
}
.testimonial__stat-value {
  font-size: 68px;
  line-height: 1;
  margin-bottom: 0;
}
.testimonial__stat-label {
  font-weight: 400;
}
.testimonial__stat-divider {
  height: 1px;
  width: 154px;
  margin-inline: auto;
  background-color: #000;
}
.testimonial__bg-left {
  top: 0;
  left: 0;
  width: 50%;
  z-index: -1;
  opacity: 0.2;
}
.testimonial__bg-right {
  top: 0;
  right: 0;
  width: calc(50% - 80px);
  z-index: -1;
}
.testimonial__bg-right img {
  object-position: left;
}
/* testimonial section end */

/* cruise section start */

.cruise {
  padding-block: 88px 149px;
}
.cruise .section__header {
  margin-bottom: 150px;
}
.cruise__media {
  width: 42.1875%;
  padding-bottom: 41px;
}
.cruise__content {
  width: 57.8125%;
  background-color: #F6F6F1;
  padding: 25px 25px 25px 187px;
  gap: 13px;
  min-height: 302px;
}
.cruise__thumb {
  border-radius: 10px;
}
.cruise__thumb--sm {
  width: 260px;
  border: 5px solid #fff;
  border-radius: 10px 0 0 0;
  position: absolute;
  bottom: 0;
  right: -148px;
}
.cruise__title {
  margin-bottom: 15px;
}
.cruise__item--reverse .cruise__content {
  padding: 25px 198px 25px 25px;
  text-align: right;
}
.cruise__item--reverse  .cruise__thumb--sm {
  right: auto;
  left: -158px;
  border-radius: 0 10px 10px 0;
}
.cruise__items {
  gap: 40px;
}
.cruise__desc {
  max-width: 480px;
}
.cruise__item--reverse .cruise__desc {
  margin-left: auto;
}
.cruise__item:nth-child(4) .cruise__desc {
  max-width: 100%;
}
/* cruise section end */

/* news section start */

.news {
  padding-block: 106px 68px;
}
.news__left {
  width: 55.5%;
  margin-top: 64px;
  background: linear-gradient(89.74deg, #D0AB6E 31.3%, #FED06A 63.61%, #D9B06B 98.86%);
  padding: 69px 36px 29px 22px;
  border-bottom-right-radius: 41px;
  position: relative;
}
.news__right {
  width: 44.5%;
}
.news__left::before {
  content: '';
  width: 9999px;
  height: 100%;
  background-color: #D0AB6E;
  position: absolute;
  right: 100%;
  top: 0;
}
.news .section__header {
  margin-bottom: 40px;
}
.news__list {
  gap: 15px;
}
.news__list-item {
  display: flex;
  align-items: center;
  background-color: #D9D9D970;
  color: #000;
  font-size: 22px;
  line-height: 1.5;
  padding: 18px 42px;
  border-radius: 10px;
  min-height: 84px;
}
.news__list-item p {
  max-width: 473px;
}
.news__list-item:hover {
  background-color: #fff;
}
.news__slider-container {
  margin-right: -320px;
}
.news__item {
  width: 480px;
}
.news__thumb {
  border-radius: 10px 10px 0 0;
}
.news__slider-nav {
  margin-left: 31px;
}
/* news section end */

/* visit section start */
.visit {
  padding-block: 98px 140px;
}
.visit__card {
  background-color: #0B212D;
  padding: 20px 32px 24px 40px;
}
.visit__card .card__icon {
  width: 130px;
  height: 130px;
  margin-bottom: 0;
}
.visit__card .card__desc {
  margin-bottom: 24px;
}
/* visit section end */

/* newsletter section start */
.newsletter {
  padding-top: 172px;
  background-image: url('../img/backgrounds/newsletter-bg.jpg');
  background-size: cover;
  background-position: center;
}
.form {
  background-color: rgba(255, 255, 255, 0.93);
  padding: 50px 40px 35px;
}
.form__title {
  font-size: 30px;
  line-height: 1.5;
  margin-bottom: 23px;
}
.form__input-list {
  gap: 19px;
  margin-bottom: 35px;
  max-width: 474px;
}
.form__input-field {
  height: 63px;
  border: 1px solid transparent;
  background-color: #D9D9D9;
  padding-inline: 27px;
  font-weight: 300;
  color: var(--black);
  transition: all .3s;
}
.form__input-field::placeholder {
  color: inherit;
  font-style: italic;
}
.form__input-field:focus {
  border-color: var(--yellow);
  outline: none;
}
/* newsletter section end */

/* footer start */
.footer__wrapper {
  padding-block: 67px 35px;
  gap: 40px;
}
.footer__logo {
  margin-bottom: 42px;
}
.footer__logo img {
  width: 193px;
}
.footer__widget-title {
  font-size: 22px;
  line-height: 1.5;
  margin-bottom: 6px;
}
.footer__contact {
  gap: 6px;
}
.footer__contact-icon {
  width: 22px;
  flex-shrink: 0;
  margin-top: 7px;
}
.footer__contact-icon img {
  max-width: 100%;
}
.footer__contact-info {
  gap: 19px;
}
.footer__contact-text {
  font-size: 18px;
  line-height: 32px;
}
.footer__contact-text a {
  color: inherit;
}
.footer__contact-text a:hover {
  text-decoration: underline;
}
.footer__menu {
  gap: 3px;
}
.footer__link {
  font-size: 18px;
  line-height: 32px;
  color: inherit;
}
.footer__link:hover {
  color: var(--yellow);
}
.footer__copyright {
  padding-block: 23px;
}
.footer__copyright-text {
  font-size: 22px;
  line-height: 1.5;
  font-weight: 200;
}
.social-icons {
  gap: 13px;
}
.social-icon {
  width: 40px;
  height: 40px;
  background-color: #F9CB67;
  border-radius: 6px;
}
.social-icon:hover {
  background-color: #fff;
}
/* footer end */